package com.jasamedika.medifirst2000.vo;

import java.io.Serializable;
import javax.persistence.*;
import java.util.Date;
import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class StatusHasil
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "StatusHasil_M")
public class StatusHasilVO extends BaseMasterVO {
	@Caption(value="Kode Status Hasil")
	private Byte kdStatusHasil;

	public void setKdStatusHasil(Byte kdStatusHasil) {
		this.kdStatusHasil = kdStatusHasil;
	}

	@Column(name = "KdStatusHasil", nullable = false )
	public Byte getKdStatusHasil(){
		return this.kdStatusHasil;
	}

	@Caption(value="QStatus Hasil")
	private Byte qStatusHasil;

	public void setqStatusHasil(Byte qStatusHasil) {
		this.qStatusHasil = qStatusHasil;
	}

	@Column(name = "QStatusHasil", nullable = false )
	public Byte getqStatusHasil(){
		return this.qStatusHasil;
	}

	@Caption(value="Status Hasil")
	private String statusHasil;

	public void setStatusHasil(String statusHasil) {
		this.statusHasil = statusHasil;
	}

	@Column(name = "StatusHasil", nullable = false , length = 20)
	public String getStatusHasil(){
		return this.statusHasil;
	}


}

